﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.Data.EntityClient;
using System.Data.Objects;
using System.Data.Objects.DataClasses;
using System.Linq;
using System.Runtime.Serialization;
using System.Xml.Serialization;

[assembly: EdmSchemaAttribute()]
namespace CustomerPortal
{
    #region Contexts
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    public partial class InvoiceReportEntitiesContainer : ObjectContext
    {
        #region Constructors
    
        /// <summary>
        /// Initializes a new InvoiceReportEntitiesContainer object using the connection string found in the 'InvoiceReportEntitiesContainer' section of the application configuration file.
        /// </summary>
        public InvoiceReportEntitiesContainer() : base("name=InvoiceReportEntitiesContainer", "InvoiceReportEntitiesContainer")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        /// <summary>
        /// Initialize a new InvoiceReportEntitiesContainer object.
        /// </summary>
        public InvoiceReportEntitiesContainer(string connectionString) : base(connectionString, "InvoiceReportEntitiesContainer")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        /// <summary>
        /// Initialize a new InvoiceReportEntitiesContainer object.
        /// </summary>
        public InvoiceReportEntitiesContainer(EntityConnection connection) : base(connection, "InvoiceReportEntitiesContainer")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        #endregion
    
        #region Partial Methods
    
        partial void OnContextCreated();
    
        #endregion
    
    }

    #endregion

}
